---
# Ensure btrbk installed
- name: Ensure daily-driver (development, work, gaming) installed
  dnf:
    name: 
    - btrbk
    state: present
  become: yes
# Copy btrbk.conf
- name: Ensure /etc/btrbk exists
  file:
    state: directory
    path: /etc/btrbk
  become: yes
- name: Copy btrbk.conf
  copy:
    src: files/btrbk.conf
    dest: /etc/btrbk/btrbk.conf
  become: yes
# Copy service definition and timer
- name: Copy btrbk.service
  copy:
    src: files/btrbk.service
    dest: /etc/systemd/system/btrbk.service
  become: yes
- name: Copy btrbk.timer
  copy:
    src: files/btrbk.timer
    dest: /etc/systemd/system/btrbk.timer
  become: yes
# Enable btrbk timer
- name: Enable btrbk timer
  ansible.builtin.systemd:
    name: btrbk.timer
    state: started
    daemon_reload: yes
  become: yes
